LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File ws-jaxme.changes of Package ws-jaxme (Project Java:packages)

-------------------------------------------------------------------
Fri Oct  6 15:33:05 UTC 2017 - fstrba@suse.com

- Allow building with jdk9
- Attached patch:
  * ws-jaxme-0.5.2-proxygenerator.patch
    - Generate correctly proxies even if the interface has static
      methods that are allowed in jdk8+

-------------------------------------------------------------------
Tue Sep 12 06:58:17 UTC 2017 - fstrba@suse.com

- Upgrade to 0.5.2
- BuildConflict with java-devel >= 1.9, since this package cannot
  be built with jdk9
- BuildRequire java-devel >= 1.6
- Specify java source and target level 1.6
- Modified patch:
  * ws-jaxme-java6.patch
    - Adapt to the new context
- Added patches:
  * ws-jaxme-sourcetarget.patch
    - Build with java source and target level 1.6
  * ws-jaxme-use-commons-codec.patch
    - Use apache-commons-codec for base64 functionality instead
      or private APIs that can disapear any time

-------------------------------------------------------------------
Fri Jul 11 14:06:18 UTC 2014 - tchvatal@suse.com

- Do not version javadoc dir.

-------------------------------------------------------------------
Tue Jul  8 10:34:11 UTC 2014 - tchvatal@suse.com

- Do not depend on ant-trax.

-------------------------------------------------------------------
Mon Sep  9 11:06:26 UTC 2013 - tchvatal@suse.com

- Move from jpackage-utils to javapackage-tools

-------------------------------------------------------------------
Thu May 14 08:53:05 CEST 2009 - mvyskocil@suse.cz

- Initial SUSE packaging (based on jpackage.org 5.0)